{% extends "niveau_editor.html" %}

{% set niveau = 2 %}

{% block instructions_niveau %}
Pour décrire un algorithme à un ordinateur, on utilise plutôt une
suite d'instructions (sous forme de texte) que des flèches.

Le labyrinthe est le même que celui du niveau précédent. Décrivez à
l'ordinateur comment sortir du labyrinthe à l'aide des quatre
instructions suivantes :

<ul style="list-style: inside;">
  <li><code>avancer</code></li>
  <li><code>faire_demi_tour</code></li>
  <li><code>aller_a_gauche</code></li>
  <li><code>aller_a_droite</code></li>
</ul>

Vous devez saisir une instruction par ligne et bien tenir compte du
sens de la flèche. Aller à gauche n'est pas à comprendre « par rapport
à l'écran » mais « par rapport à la flèche » ! Les déplacements se
font de cellule en cellule.

{% endblock %}

{% block editor_code %}aller_a_droite
avancer
{% endblock %}
  
{% block end_body %}
{{ super() }}
{% endblock %}
